const { execSync } = require('child_process');
const fs = require('fs');
const os = require('os');

async function run(repo) {
    try {
        // Change directory to the specified location
        const directoryPath = `${os.homedir()}\\Desktop\\git-repositries\\${repo}`;
        process.chdir(directoryPath);
        // Execute pytest command synchronously and redirect output to a temporary file
        execSync('pytest > sample.txt', { stdio: 'inherit', shell: true });
        const pytestOutput = fs.readFileSync('sample.txt', 'utf-8');
        console.log(pytestOutput);
    } catch (error) {
        const pytestOutput = fs.readFileSync('sample.txt', 'utf-8');
        console.log(pytestOutput);
    }
}

module.exports = run